import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { NgModule } from '@angular/core';

import { MatTabsModule } from '@angular/material/tabs';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatButtonModule } from '@angular/material/button';
import { MatDividerModule } from '@angular/material/divider';
import { MatInputModule } from '@angular/material/input'
import { MqttclientService } from './mqttclient.service'
import { FormsModule } from '@angular/forms';

import { AppComponent } from './app.component';
import { LedindicatorComponent } from './ledindicator/ledindicator.component';
import { OnOffButtonComponent } from './on-off-button/on-off-button.component';
import { LedButtonGroupComponent } from './led-button-group/led-button-group.component';
import { NumberFieldComponent } from './number-field/number-field.component';
import { LedButtonGroup2Component } from './led-button-group2/led-button-group2.component';
import { LedBoxComponent } from './led-box/led-box.component';
import { HeatingControllerComponent } from './heating-controller/heating-controller.component';


@NgModule({
  declarations: [
    AppComponent,
    LedindicatorComponent,
    OnOffButtonComponent,
    LedButtonGroupComponent,
    NumberFieldComponent,
    LedButtonGroup2Component,
    LedBoxComponent,
    HeatingControllerComponent
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    MatTabsModule,
    MatExpansionModule,
    MatButtonModule,
    MatDividerModule,
    MatInputModule,
    FormsModule
  ],
  providers: [
    MqttclientService
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
